summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Nikolay Korotkiy <sikmir@gmail.com>2011-08-09 14:09:05 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-09 14:09:05 -0300
commit365fe7e74e1526ec004ec107a195223b47b96800 (patch)
tree1bed98e94c12add77242d4e52c8732d0d5182b6b /system
parentce538ef95cfeb483f1bf6aebc7cf03d2cacd7dcb (diff)
downloadslackbuilds-365fe7e74e1526ec004ec107a195223b47b96800.tar.gz
slackbuilds-365fe7e74e1526ec004ec107a195223b47b96800.tar.xz
system/st: Added (a simple terminal implementation for X)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/st/README1
-rw-r--r--system/st/doinst.sh3
-rw-r--r--system/st/slack-desc19
-rw-r--r--system/st/st.SlackBuild100
-rw-r--r--system/st/st.info10
5 files changed, 133 insertions, 0 deletions
diff --git a/system/st/README b/system/st/README
new file mode 100644
index 0000000000..21aafe7c18
--- /dev/null
+++ b/system/st/README
@@ -0,0 +1 @@
+st is a simple terminal implementation for X.
diff --git a/system/st/doinst.sh b/system/st/doinst.sh
new file mode 100644
index 0000000000..492b5a6c42
--- /dev/null
+++ b/system/st/doinst.sh
@@ -0,0 +1,3 @@
+if [ -e /usr/bin/tic ]; then
+ /usr/bin/tic -s usr/share/st/st.info >/dev/null 2>&1
+fi
diff --git a/system/st/slack-desc b/system/st/slack-desc
new file mode 100644
index 0000000000..a6c38ececd
--- /dev/null
+++ b/system/st/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+st: st (a simple terminal implementation for X)
+st:
+st: st is a simple virtual terminal emulator for X which sucks less.
+st:
+st: Homepage: http://http://st.suckless.org
+st:
+st:
+st:
+st:
+st:
+st:
diff --git a/system/st/st.SlackBuild b/system/st/st.SlackBuild
new file mode 100644
index 0000000000..bcdc4a12b2
--- /dev/null
+++ b/system/st/st.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for st
+
+# Copyright (c) 2011, Nikolay Korotkiy <sikmir@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=st
+VERSION=0.1.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Remove "tic" line from Makefile - we cannot do this here!
+sed -i "/^\t@tic/d" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+ make
+make install \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man \
+ DESTDIR=$PKG
+
+# Incluse st.info in package
+mkdir -p $PKG/usr/share/st
+cp st.info $PKG/usr/share/st/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/st/st.info b/system/st/st.info
new file mode 100644
index 0000000000..00914e9d61
--- /dev/null
+++ b/system/st/st.info
@@ -0,0 +1,10 @@
+PRGNAM="st"
+VERSION="0.1.1"
+HOMEPAGE="http://st.suckless.org"
+DOWNLOAD="http://hg.suckless.org/st/archive/0.1.1.tar.gz"
+MD5SUM="8913277de9bc3414407b9ddf52f23594"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nikolay Korotkiy"
+EMAIL="sikmir@gmail.com"
+APPROVED="Niels Horn"